View Javadoc

    1   /*
    2    * Copyright 2004-2009 the Seasar Foundation and the Others.
    3    *
    4    * Licensed under the Apache License, Version 2.0 (the "License");
    5    * you may not use this file except in compliance with the License.
    6    * You may obtain a copy of the License at
    7    *
    8    *     http://www.apache.org/licenses/LICENSE-2.0
    9    *
    10   * Unless required by applicable law or agreed to in writing, software
    11   * distributed under the License is distributed on an "AS IS" BASIS,
    12   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
    13   * either express or implied. See the License for the specific language
    14   * governing permissions and limitations under the License.
    15   */
    16  package org.seasar.cubby.internal.controller;
    17
    18  import javax.servlet.http.HttpServletRequest;
    19  import javax.servlet.http.HttpServletResponse;
    20
    21  import org.seasar.cubby.action.ActionResult;
    22
    23  /**
    24   * {@link org.seasar.cubby.action.ActionResult} のラッパです。
    25   *
    26   * @author baba
    27   */
    28  public interface ActionResultWrapper {
    29
    30  	/**
    31  	 * ラップされた {@link org.seasar.cubby.action.ActionResult} を実行します。
    32  	 *
    33  	 * @param request
    34  	 *            要求
    35  	 * @param response
    36  	 *            応答
    37  	 * @throws Exception
    38  	 *             {@link org.seasar.cubby.action.ActionResult} の実行で例外が発生した場合
    39  	 */
    40  	void execute(HttpServletRequest request, HttpServletResponse response)
    41  			throws Exception;
    42
    43  	/**
    44  	 * ラップされた {@link org.seasar.cubby.action.ActionResult} を取得します。
    45  	 *
    46  	 * @return ラップされた {@link org.seasar.cubby.action.ActionResult}
    47  	 */
    48  	ActionResult getActionResult();
    49
    50  }